apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: traefik-v2
bases:
  - ../../base
resources:
  - secrets.yaml
helmCharts:
  - name: traefik
    releaseName: traefik
    namespace: traefik-v2
    includeCRDs: true
    valuesFile: values.yaml
    version: 21.0.0
    repo: https://helm.traefik.io/traefik
patchesStrategicMerge:
  - secret-store-jwt.yaml
  - private-registry.yaml
  - deployment.yaml
